package com.hzya.frame.plugin.lets.resultvo;

import com.hzya.frame.plugin.lets.entity.BdJobbasfilEntity;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.resultvo
 * @Project：kangarooDataCenter
 * @name：ExtBdJobbasfilResultVo
 * @Date：2023/11/8 11:04
 * @Filename：ExtBdJobbasfilResultVo
 */
public class ExtBdJobbasfilResultVo extends BdJobbasfilEntity {

    /**
     * 业务中心名称
     */
    private String def10name;

    /**
     * 品牌名称
     */
    private String def11name;

    /**
     * 存货品牌名称
     */
    private String def6name;

    /**
     * 旺店通店铺名称
     */
    private String def7name;

    /**
     * 旺店通店铺编码
     */
    private String def7code;

    /**
     * 平台名称
     */
    private String def8name;

    /**
     * 业务模式名称
     */
    private String def9name;

    /**
     * U8C店铺主键
     */
    private String u8cShopId;

    /**
     * U8C店铺编码
     */
    private String u8cShopCode;

    /**
     * U8C店铺名称
     */
    private String u8cShopName;

    /**
     * 店铺对应客商基本档案编码
     */
    private String shopCorrCustCode;

    /**
     * 店铺对应客商基本档案名称
     */
    private String shopCorrCustName;

    /**
     * U8C店铺对应公司主键
     */
    private String u8cShopCoptId;

    /**
     * U8C店铺对应公司编码
     */
    private String u8cShopCoptCode;

    /**
     * U8C店铺对应公司名称
     */
    private String u8cShopCoptName;

    /**
     * 是否跨组织销售
     */
    private String def20;

    @Override
    public String getDef20() {
        return def20;
    }

    @Override
    public void setDef20(String def20) {
        this.def20 = def20;
    }

    public String getU8cShopCoptId() {
        return u8cShopCoptId;
    }

    public void setU8cShopCoptId(String u8cShopCoptId) {
        this.u8cShopCoptId = u8cShopCoptId;
    }

    public String getU8cShopCoptCode() {
        return u8cShopCoptCode;
    }

    public void setU8cShopCoptCode(String u8cShopCoptCode) {
        this.u8cShopCoptCode = u8cShopCoptCode;
    }

    public String getU8cShopCoptName() {
        return u8cShopCoptName;
    }

    public void setU8cShopCoptName(String u8cShopCoptName) {
        this.u8cShopCoptName = u8cShopCoptName;
    }

    public String getShopCorrCustName() {
        return shopCorrCustName;
    }

    public void setShopCorrCustName(String shopCorrCustName) {
        this.shopCorrCustName = shopCorrCustName;
    }

    public String getDef10name() {
        return def10name;
    }

    public void setDef10name(String def10name) {
        this.def10name = def10name;
    }

    public String getDef11name() {
        return def11name;
    }

    public void setDef11name(String def11name) {
        this.def11name = def11name;
    }

    public String getDef6name() {
        return def6name;
    }

    public void setDef6name(String def6name) {
        this.def6name = def6name;
    }

    public String getDef7name() {
        return def7name;
    }

    public void setDef7name(String def7name) {
        this.def7name = def7name;
    }

    public String getDef8name() {
        return def8name;
    }

    public void setDef8name(String def8name) {
        this.def8name = def8name;
    }

    public String getDef9name() {
        return def9name;
    }

    public void setDef9name(String def9name) {
        this.def9name = def9name;
    }

    public String getU8cShopId() {
        return u8cShopId;
    }

    public void setU8cShopId(String u8cShopId) {
        this.u8cShopId = u8cShopId;
    }

    public String getU8cShopCode() {
        return u8cShopCode;
    }

    public void setU8cShopCode(String u8cShopCode) {
        this.u8cShopCode = u8cShopCode;
    }

    public String getU8cShopName() {
        return u8cShopName;
    }

    public void setU8cShopName(String u8cShopName) {
        this.u8cShopName = u8cShopName;
    }

    public String getShopCorrCustCode() {
        return shopCorrCustCode;
    }

    public void setShopCorrCustCode(String shopCorrCustCode) {
        this.shopCorrCustCode = shopCorrCustCode;
    }

    public String getDef7code() {
        return def7code;
    }

    public void setDef7code(String def7code) {
        this.def7code = def7code;
    }
}